{
  "name": "mern",
  "proxy": "https://rusanovskyi-riabko-shop.herokuapp.com/",
  "version": "1.0.0",
  "description": "Mern stack (online-shop)",
  "main": "server.js",
  "type": "module",
  "scripts": {
    "start": "node backend/server",
    "server": "nodemon backend/server",
    "client": "npm start --prefix frontend",
    "dev": "concurrently \"npm run server\" \"npm run client\"",
    "data:import": "node backend/seeder",
    "data:delete": "node backend/seeder -d",
    "prepare": "husky install",
    "sonar": "sonar-scanner",
    "format": "prettier --write .",
    "precise-commits": "precise-commits"
  },
  "lint-staged": {
    "*.{js,jsx,ts,tsx}": [
      "eslint"
    ]
  },
  "keywords": [
    "mongoDB",
    "React",
    "Express",
    "NodeJS"
  ],
  "author": "Michael",
  "license": "ISC",
  "dependencies": {
    "bcryptjs": "^2.4.3",
    "colors": "^1.4.0",
    "dotenv": "^11.0.0",
    "express": "^4.17.2",
    "express-async-handler": "^1.2.0",
    "jsonwebtoken": "^8.5.1",
    "mongoose": "^6.1.6",
    "prop-types": "^15.8.1"
  },
  "devDependencies": {
    "@commitlint/cli": "^17.0.3",
    "@commitlint/config-conventional": "^17.0.3",
    "concurrently": "^7.0.0",
    "eslint": "^8.18.0",
    "eslint-config-airbnb": "^19.0.4",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-jsx-a11y": "^6.6.0",
    "eslint-plugin-react": "^7.30.1",
    "eslint-plugin-react-hooks": "^4.6.0",
    "husky": "^8.0.0",
    "lint-staged": "^13.0.3",
    "nodemon": "^2.0.15",
    "precise-commits": "^1.0.2",
    "prettier": "^2.7.1",
    "pretty-quick": "^3.1.3",
    "sonar-scanner": "^3.1.0"
  }
}
